dnglab-convert(1)

NAME
dnglab-convert - Convert raw image(s) into dng format

SYNOPSIS
dnglab-convert [-c|--compression] [--ljpeg92-predictor] [--dng-preview] [--dng-thumbnail] [--embed-raw] [--artist] [--keep-mtime] [--image-index] [--crop] [-f|--override] [-r|--recursive] [-j|--jobs] [-h|--help] <INPUT> <OUTPUT>

DESCRIPTION
Convert raw image(s) into dng format

OPTIONS

-c, --compression <compression> [default: lossless]
    Compression for raw image
    Possible values:

    •   lossless

    •   uncompressed

--ljpeg92-predictor <predictor> [default: 1]
    LJPEG-92 predictor

--dng-preview <preview> [default: true]
    DNG include preview image
    Possible values:

    •   true

    •   false

--dng-thumbnail <thumbnail> [default: true]
    DNG include thumbnail image
    Possible values:

    •   true

    •   false

--embed-raw <embedded> [default: true]
    Embed the raw file into DNG
    Possible values:

    •   true

    •   false

--artist <artist>
    Set the artist tag

--keep-mtime <keepmtime> [default: false]
    Keep mtime, read from EXIF with fallback to original file mtime
    Possible values:

    •   true

    •   false

--image-index <index> [default: 0]
    Select a specific image index (or 'all') if file is a image container

--crop <crop> [default: best]
    DNG default crop
    Possible values:

    •   best

    •   activearea

    •   none

-f, --override
    Override existing files

-r, --recursive
    Process input directory recursive

-j, --jobs <N> [default: 0]
    Number of files to convert in parallel (0 = auto)

-h, --help
    Print help

<INPUT>
    Input file or directory

<OUTPUT>
    Output file or existing directory